package org.josast.ApplicationSatelliteDatabaseCli.cmd;

import static org.junit.Assert.*;

import org.junit.After;
import org.junit.AfterClass;
import org.junit.Before;
import org.junit.BeforeClass;
import org.junit.Test;

public class MergeCmdTest {

	@BeforeClass
	public static void setUpBeforeClass() throws Exception {
	}

	@AfterClass
	public static void tearDownAfterClass() throws Exception {
	}

	@Before
	public void setUp() throws Exception {
	}

	@After
	public void tearDown() throws Exception {
	}

	@Test
	public void testExcute() {
		ParameterSingleton parameter = ParameterSingleton.getInstance();
		parameter.setOutputFile("outputFile.xml");
		parameter.setInputDirectory("src/test/data/in");
		
		MergeCmd cmd = new MergeCmd();
		cmd.excute();
		// si il n'y a pas d'erreur généré.
		 assertTrue( true );
	}

}
